# Create a bank account

When you create a new bank account, you must specify a [connected account](https://docs.stripe.com/api/external_account_bank_accounts/create.md#accounts) to create it on. You can only specify connected accounts where [account.controller.requirement_collection](https://docs.stripe.com/api/accounts/object.md#account_object-controller-requirement_collection) is `application` (includes [Custom accounts](https://docs.stripe.com/connect/custom-accounts.md)).

If the bank account’s owner has no other external account in the bank account’s currency, the new bank account will become the default for that currency. However, if the owner already has a bank account for that currency, the new account will become the default only if the `default_for_currency` parameter is set to `true`.

## Request

```curl
curl https://api.stripe.com/v1/accounts/{{ACCOUNT_ID}}/external_accounts \
  -u "<<YOUR_SECRET_KEY>>" \
  -d external_account=btok_1NAiJy2eZvKYlo2Cnh6bIs9c
```

### Response

```json
{
  "id": "ba_1NAiJy2eZvKYlo2CvChQKz5k",
  "object": "bank_account",
  "account": "acct_1032D82eZvKYlo2C",
  "account_holder_name": "Jane Austen",
  "account_holder_type": "company",
  "account_type": null,
  "bank_name": "STRIPE TEST BANK",
  "country": "US",
  "currency": "usd",
  "fingerprint": "1JWtPxqbdX5Gamtc",
  "last4": "6789",
  "metadata": {},
  "routing_number": "110000000",
  "status": "new"
}
```

## Returns

Returns the bank account object

## Parameters

- [`external_account`](https://docs.stripe.com/api/external_account_bank_accounts/create.md?query=external_account) (object | string, required)
  Either a token, like the ones returned by [Stripe.js](https://docs.stripe.com/js.md), or a dictionary containing a user’s bank account details (with the options shown below).

- `default_for_currency` (boolean, optional)
  When set to true, or if this is the first external account added in this currency, this account becomes the default external account for its currency.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
